import React from 'react';
import FetchConnectorContext from './FetchConnectorContext';

var FetchHookProvider = function FetchHookProvider(_ref) {
  var connector = _ref.connector,
      children = _ref.children;
  return React.createElement(FetchConnectorContext.Provider, {
    value: connector
  }, children);
};

FetchHookProvider.displayName = 'FetchHookProvider';
export default React.memo(FetchHookProvider);