import * as React from 'react';
import { SSRManager } from './internal/ssr-context';
export declare const FetchSSRManagerContext: React.Context<SSRManager | null>;
export interface GetMarkupFromTreeOptions {
    tree: React.ReactNode;
    onBeforeRender?: () => void;
    renderFunction: (tree: React.ReactElement<object>) => string;
}
export default function getMarkupFromTree({ tree, onBeforeRender, renderFunction, }: GetMarkupFromTreeOptions): Promise<string>;
